#1596 closed defect (fixed)

libtests/malloc03/init.c: GCC diagnoses testcase as bad code

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

../../../../../../../c/src/../../testsuites/libtests/malloc03/init.c:26:7: warning: attempt to free a non-heap object 'val'

Seemingly gcc is clever enough to diagnose the test case you are trying to test for as bad code.

Attachments (1)

try1.diff (507 bytes) - added by Joel Sherrill on Jun 30, 2010 at 1:13:06 PM.
Fix #1

Download all attachments as: .zip

Change History (4)

Changed on Jun 30, 2010 at 1:13:06 PM by Joel Sherrill

Attachment: try1.diff added

Fix #1

comment:1 Changed on Jul 20, 2010 at 11:39:45 AM by Joel Sherrill

Resolution: fixed
Status: newclosed

Warning is resolved in tree.

comment:2 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:3 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.